--- cf/config.orig	2018-07-06 12:26:55.296539000 +0900
+++ cf/config	2018-07-06 13:37:07.293647000 +0900
@@ -17,8 +17,8 @@
 $ERROR_LOG = "etc/motd.error";
 unlink $ERROR_LOG if -f $ERROR_LOG;
 
-require 'getopts.pl';
-&Getopts("m:hdDr:csnfrFiI:v");
+use Getopt::Std;
+getopts("m:hdDr:csnfrFiI:v");
 
 $no_dns  = $opt_n;
 $debug   = $opt_d;
@@ -654,16 +654,16 @@
 	local(*entry) = $val;
 
 	if ($verbose) {
-	    if (defined $entry) {
+	    if ($entry) {
 		print STDERR "GO \$\t$key\n";
 	    }
-	    elsif (defined @entry) {
+	    elsif (@entry) {
 		print STDERR "GO \@\t$key\n";
 	    }
-	    elsif (defined %entry) {
+	    elsif (%entry) {
 		print STDERR "GO \%\t$key\n";
 	    }
-	    elsif (defined &entry) {
+	    elsif (&entry) {
 		print STDERR "GO \&\t$key\n";
 	    }
 	    else {
@@ -671,7 +671,7 @@
 	    }
 	}
 
-	if (defined($entry)) { 
+	if ($entry) { 
 	    print STDERR "   ? $entry == $main'value{$key}\n" if $verbose;#';
 	    
 	    next if "$entry"     eq $main'value{$key};
@@ -703,7 +703,7 @@
 	    next;
 	}
 
-	if (defined @entry) {
+	if (@entry) {
 	    undef $num;
 	    $OUT'LOCAL .=  "\@$key = (";
 	    foreach (@entry) {
@@ -718,7 +718,7 @@
 	# Is there an associative array that isn't the one
 	# we're currently iterating through?
 	
-	if ($key ne "_$package" && defined %entry) {
+	if ($key ne "_$package" && %entry) {
 	    $OUT'LOCAL .= "\%$key = (\n"; #';
 	    foreach $key (sort keys(%entry)) {
 		$OUT'LOCAL .= "'$key', '". $entry{$key} ."',\n";#';
@@ -741,7 +741,7 @@
 	    next;
 	}
 
-	if (defined $value{$key}) {
+	if ($value{$key}) {
 	    printf "%-20s    %s\n", "$key", $value{$key};
 	    $match++;
 	}
@@ -788,13 +788,13 @@
 	next if @vars && !grep($key eq $_,@vars);
 	local(*entry) = $val;
 
-	if (defined $entry) {
+	if ($entry) {
 	    eval("$rv'\$$key = 1; undef $rv'\$$key");
 	}
-	elsif (defined @entry) {
+	elsif (@entry) {
 	    eval("$rv'\@$key = 1; undef $rv'\@$key");
 	}
-	elsif ($key ne "_$package" && $key ne "_DB" && defined %entry) {
+	elsif ($key ne "_$package" && $key ne "_DB" && %entry) {
 	    eval("$rv'\%$key = 1; undef $rv'\%$key");
 	}
 	else {
--- fml.pl.orig	2018-07-06 14:34:56.845934000 +0900
+++ fml.pl	2018-07-06 14:45:08.681287000 +0900
@@ -472,10 +472,10 @@
     &LoadConfig;
 
     # a little configuration before the action
-    if (defined $FML_UMASK) {
+    if ($FML_UMASK) {
 	$UMASK = $FML_UMASK;
     }
-    elsif (defined $UMASK) {
+    elsif ($UMASK) {
 	;
     }
     elsif ($USE_FML_WITH_FMLSERV) {
@@ -486,7 +486,7 @@
     }
 
     umask($UMASK);
-    defined $DEFAULT_DIR_MODE || ($DEFAULT_DIR_MODE = ($UMASK & 0777) ^ 0777);
+    $DEFAULT_DIR_MODE || ($DEFAULT_DIR_MODE = ($UMASK & 0777) ^ 0777);
 
     ### Against the future loop possibility
     if (&AddressMatch($MAIL_LIST, $MAINTAINER)) {
@@ -690,8 +690,8 @@
 
     ### Header Fields Extraction
     $s = $Envelope{'Header'}."\n";
-    $* = 0;			# match one line
-    if ($s =~ /^From\s+(\S+)/i) {
+    #$* = 0;			# match one line
+    if ($s =~ /^From\s+(\S+)/is) {
 	# XXX NO REACH HERE (1999/10/27 by fukachan)
 	# $Envelope{'UnixFrom'} = $UnixFrom = $1;
 	$s =~ s/^From\s+.*//i;
--- libkern.pl.orig	2018-07-06 14:40:09.440177000 +0900
+++ libkern.pl	2018-07-06 14:39:46.633354000 +0900
@@ -629,8 +629,8 @@
 
     ### Header Fields Extraction
     $s = $Envelope{'Header'}."\n";
-    $* = 0;			# match one line
-    if ($s =~ /^From\s+(\S+)/i) {
+    #$* = 0;			# match one line
+    if ($s =~ /^From\s+(\S+)/is) {
 	# XXX NO REACH HERE (1999/10/27 by fukachan)
 	# $Envelope{'UnixFrom'} = $UnixFrom = $1;
 	$s =~ s/^From\s+.*//i;
--- jcode.pl.orig	2018-07-06 12:26:55.026799000 +0900
+++ jcode.pl	2018-07-06 14:48:47.963124000 +0900
@@ -676,7 +676,7 @@
 
 sub z2h_euc {
     local(*s, $n) = @_;
-    &init_z2h_euc unless defined %z2h_euc;
+    &init_z2h_euc unless %z2h_euc;
     $s =~ s/($re_euc_c|$re_euc_kana)/
 	$z2h_euc{$1} ? ($n++, $z2h_euc{$1}) : $1
     /geo;
@@ -685,7 +685,7 @@
 
 sub z2h_sjis {
     local(*s, $n) = @_;
-    &init_z2h_sjis unless defined %z2h_sjis;
+    &init_z2h_sjis unless %z2h_sjis;
     $s =~ s/($re_sjis_c)/$z2h_sjis{$1} ? ($n++, $z2h_sjis{$1}) : $1/geo;
     $n;
 }
@@ -722,14 +722,14 @@
     $jis++, &jis2euc(*s) if $s =~ /$re_jp|$re_asc|$re_kana/o;
     $jis++ if $to =~ /$re_jp|$re_asc|$re_kana/o;
 
-    if (!defined($prev_from) || $from ne $prev_from || $to ne $prev_to) {
+    if ((! $prev_from) || $from ne $prev_from || $to ne $prev_to) {
 	($prev_from, $prev_to) = ($from, $to);
 	undef %table;
 	&_maketable;
     }
 
     $s =~ s/([\200-\377][\000-\377]|[\000-\377])/
-	defined($table{$1}) && ++$n ? $table{$1} : $1
+	$table{$1} && ++$n ? $table{$1} : $1
     /ge;
 
     &euc2jis(*s) if $jis;
--- makefml.orig	2003-01-26 20:18:01.000000000 +0900
+++ makefml	2018-07-06 12:26:55.291403000 +0900
@@ -1,4 +1,4 @@
-#!/usr/local/bin/perl
+#!/usr/bin/perl
 #
 # Copyright (C) 1993-2003 Ken'ichi Fukamachi
 #          All rights reserved. 
@@ -12,8 +12,8 @@
 # $FML: makefml,v 2.210.2.14 2003/01/25 05:58:25 fukachan Exp $
 #
 
-### AUTOMATICALLY REPLACED by makefml (Sun, 9 Mar 97 19:57:48 )
-$CONFIG_DIR = ''; # __MAKEFML_AUTO_REPLACED_HERE__
+### AUTOMATICALLY REPLACED by makefml (Fri, 6 Jul 2018 12:26:50 )
+$CONFIG_DIR = '/home/foo/fml/.fml'; # __MAKEFML_AUTO_REPLACED_HERE__
 
 &InitTTY;
 &InitMakeFml;
@@ -136,8 +136,8 @@
     if ($ENV{'MAKEFML'}) {
 	unshift(@ARGV, split(/\s+/, $ENV{'MAKEFML'}));
     }
-    require 'getopts.pl';
-    &Getopts("adhf:A:O:p:D:vwV:mi:u:UFE:W:c:");
+    use Getopt::Std;
+    getopts("adhf:A:O:p:D:vwV:mi:u:UFE:W:c:");
 
     # toggle flags
     # $CGIInstallMode = ($opt_W =~ /cgi/i) ? 1 : 0;
@@ -6351,11 +6351,11 @@
 	    next if @vars && !grep($key eq $_,@vars);
 	    local(*entry) = $val;
 
-	    if (defined $entry) {
+	    if ($entry) {
 		$buf .= "\$$key = '$entry';\n";
 	    }
 
-	    if (defined @entry) {
+	    if (@entry) {
 		$buf .= "\@$key = (\n";
 		foreach $num ($[ .. $#entry) {
 		    $buf .= "\t'$entry[$num]',\n";
@@ -6364,12 +6364,12 @@
 	    }
 
 	    if ((($] !~ /5\.\d\d\d/) && 
-		 $key ne "_$package" && $key ne "_DB" && defined %entry
+		 $key ne "_$package" && $key ne "_DB" && %entry
 		 )
 		||
 		(($] =~ /5\.\d\d\d/) && 
 		 $key ne "$package::" && $key ne "DB::" && 
-		 (defined %entry) && 
+		 (%entry) && 
 		 ($dumpPackages || $key !~ /::$/)
 		 && ($key !~ /^_</ || $dumpDBFiles)
 		 && !($package eq "dumpvar" && $key eq "stab")
@@ -6659,7 +6659,7 @@
     local($addrs)  = (gethostbyname($host || 'localhost'))[4];
     local($proto)  = (getprotobyname('tcp'))[2];
     local($port)   = $PORT || (getservbyname('smtp', 'tcp'))[2];
-    $port          = 25 unless defined($port); # default port
+    $port          = 25 unless $port; # default port
 
     # Check the possibilities of Errors
     return ("Cannot resolve the IP address[$host]") unless $addrs;
@@ -7112,7 +7112,7 @@
     for (split(/\n/, $MAP{$menu})) {
 	if (/^\s*(\S+)\s*(.*)\s*$/) {
 	    $MAP{$menu, $1} = $2;
-	    $MAP{$menu, $1} =~ s/\$config{\'_ML_\'}/$config{'_ML_'}/g;
+	    $MAP{$menu, $1} =~ s/\$config\{\'_ML_\'\}/$config{'_ML_'}/g;
 	}
     }
 }
@@ -7239,7 +7239,7 @@
     }
     # elsif ($v = $MAP{$menu, $Count}) {  # SHOW RAW VALUE IN HTML
     # elsif ($v = $MAP{$menu, $Count}) {  # SHOW POINTER IN HTML
-    # elsif (defined ($v = $MAP{$menu, $Count})){ # SHOW POINTER IN HTML
+    # elsif ($v = $MAP{$menu, $Count}){ # SHOW POINTER IN HTML
     elsif (($v = $MAP{$menu, $Count}) ne ''){ # SHOW POINTER IN HTML
 	local($vn);
 	$ptr = $menu;
